package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.TableColumn;

/**
 * 数据源--列Mapper接口
 * 
 * @author jy
 * @date 2022-11-07
 */
public interface TableColumnMapper 
{
    /**
     * 查询数据源--列
     * 
     * @param id 数据源--列主键
     * @return 数据源--列
     */
    public TableColumn selectTableColumnById(Long id);

    /**
     * 查询数据源--列列表
     * 
     * @param tableColumn 数据源--列
     * @return 数据源--列集合
     */
    public List<TableColumn> selectTableColumnList(TableColumn tableColumn);

    /**
     * 新增数据源--列
     * 
     * @param tableColumn 数据源--列
     * @return 结果
     */
    public int insertTableColumn(TableColumn tableColumn);

    /**
     * 修改数据源--列
     * 
     * @param tableColumn 数据源--列
     * @return 结果
     */
    public int updateTableColumn(TableColumn tableColumn);

    /**
     * 删除数据源--列
     * 
     * @param id 数据源--列主键
     * @return 结果
     */
    public int deleteTableColumnById(Long id);

    /**
     * 批量删除数据源--列
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTableColumnByIds(Long[] ids);
}
